import airflow
import datetime
import importlib
import os
import tempfile
import time
import psycopg2

from airflow_api import AirflowAPI


def test_dag():
    print("e2e test starting")
       
    dag_id = 'test-dag'
    execution_date = "2020-02-24T09:00:00+00:00"

    print("initialing airflow api")
    airflow_api = AirflowAPI()    

    airflow_api.trigger_dag(dag_id, execution_date)
    is_running = True
    while is_running:
        time.sleep(1.0)
        status = airflow_api.get_dag_status(dag_id, execution_date)
        is_running = status == "running"
        print("waiting for dag={dag_id} status={status}".format(dag_id=dag_id,status=status))

    assert not is_running, "expected is_running to be false"

    status = airflow_api.get_dag_status(dag_id, execution_date)
    assert status == "success", "status={} (expected success)".format(status)
    
