import airflow
import datetime
import importlib
import os
import tempfile


def test_gojsonnet_direct():
    with tempfile.TemporaryDirectory() as tmp_dir:
        os.environ["CONFIG_ROOT"] = tmp_dir
        # these imports are here so they pick up the correct CONFIG_ROOT
        import test
        importlib.reload(test)

        task = test.subdag(
            'test',
            'test1',
            test.default_args,
            None,
            {},
            "testing",
            "test1"
        ).tasks[0]

        ti = airflow.models.taskinstance.TaskInstance(task=task, execution_date=datetime.datetime(2020,2,5))
        json_cfg = test.get_json_cfg("test1", "testing")

        # assert that our expected json file got created
        assert not os.path.exists(json_cfg)        
        task.execute(ti.get_template_context())
        assert os.path.isfile(json_cfg)
        os.remove(json_cfg)
        print("test completed successfully")
